"use strict";

exports.__esModule = true;
exports.reducer = void 0;

const reducer = (state = 3600, payload) => {
  const {
    type
  } = payload;

  switch (type) {
    case '@@poi-plugin-senka-calc/initialize':
      {
        const {
          archive
        } = payload;
        return archive.targetSenka;
      }

    case '@@poi-plugin-senka-calc/update-target-senka':
      {
        const {
          value
        } = payload;

        if (value >= 0) {
          return value;
        }

        return state;
      }

    default:
      {
        return state;
      }
  }
};

exports.reducer = reducer;