"use strict";

exports.__esModule = true;
exports.Title = exports.Container = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _core = require("@blueprintjs/core");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Container = _styledComponents.default.div.withConfig({
  displayName: "common__Container",
  componentId: "sc-mjv0a9-0"
})(["padding:4px 8px;"]);

exports.Container = Container;

const Title = _styledComponents.default.h5.withConfig({
  displayName: "common__Title",
  componentId: "sc-mjv0a9-1"
})(["padding:8px 16px;display:flex;align-items:center;background-color:", ";.bp4-dark &,.bp5-dark &{background-color:", ";}"], _core.Colors.LIGHT_GRAY2, _core.Colors.DARK_GRAY5);

exports.Title = Title;